// Util.h
// ``````

#pragma once

#include <string>
#include <vector>

bool file_get_contents(std::wstring filepath, std::string& result);
bool file_get_contents(std::string filepath, std::string& result);
void explode(std::vector<std::string> &res, std::string &haystack, const char* needle);
void replace(std::string& str, const char* find, const char* replace);

std::string format(const char *fmt, ...);
std::string timestamp();

// OS-Specific functions

void    releaseTimeslice();
long    getUpTicks();